Subject: Re: Suggestions for newbie accessibility

From: John Goerzen <[email-masked]>
Date: Sun, 23 Jan 2022 19:46:48 -0600

On Sun, Jan 23 2022, Sergey Matveev wrote:

[ snippage ]

> sequentially, without utilizing multiple CPUs. I even believe that "tar
> xf nncp.tar.xz" will work in practice everywhere, but write about robust
> xz|tar. What next? We should write people that they have to start shell
> interpreter by running terminal emulator, that can be found through some
> "Start" button?

Fair point.  I guess I saw someone struggling, but can agree to disagree
on this.  I'm working to make it apt-get installable on a lot of distros
as well, so that's another angle that can help.

>>I am thinking I may write up something and post it somewhere, and give you
>>permission to copy as much of it as you want for the NNCP manual, if that
>>sounds good.
>
> Would be good! Similarly like I copied your instructions about Exim+NNCP
> setup some time ago, that was valuable.

OK!  I'll let you know when I've got it.

>>Interface names are not particularly persistent these days
>>and what is present when cfgnew is run may not be what's there later.
>
> Actually I saw non-persistent interface names only on GNU/Linux boxes.

It is an annoying fix for a real problem, but I think the fix is worse
than the problem.  The problem being that on multi-NIC devices there can
be some indeterminancy in the order in which the NICs are brought up,
and things like moving them to different PCIe slots can change their
interface names.  So clearly that's not good.  So the "fix" was to tie
an interface name to its MAC.  But of course then if you replace a NIC
in the common case of a system having just one, your system won't bring
up its network stack after the reboot because the name has changed.  I'm
not a fan of this either.

> All *BSDs I touched have them more than immutable even when changing
> hardware in most cases :-). But agreed that, especially various
> tun/tap/bridge/vtnet/etc, are dynamic.

Yep, those too.

- John